import request from "@/utils/request";

//筛选下拉列表参数
export function getAllUserList() {
    return request({
        url: "/user-boot/user/getAllUserSimpleList",
        method: "get",
    });
}
//审计日志列表
export function getAuditLog(data) {
    return request({
        url: "/system-boot/audit/getAuditLog",
        method: "post",
        data,
    });
}
//审计日志统计
export function censusAuditLog(data) {
    return request({
        url: "/system-boot/audit/censusAuditLog",
        method: "post",
        data,
    });
}
//日志文件备份
export function logFileWriter(data) {
    return request({
        url: "/system-boot/audit/logFileWriter",
        method: "post",
        data,
    });
}
//日志文件恢复
export function recoverLogFile(data) {
    return request({
        url: "/system-boot/audit/recoverLogFile",
        method: "post",
        data,
    });
}
//获取在线用户
export function getOnlineUsers(data) {
    return request({
        url: "/system-boot/audit/getOnlineUsers",
        method: "post",
        data,
    });
}
//获取表空间大小
export function getMemoInfo(data) {
    return request({
        url: "/system-boot/audit/getMemoInfo",
        method: "post",
        data,
    });
}
export function getSysConfig() {
    return request({
        url: "/system-boot/config/getSysConfig",
        method: "get",
    });
}
